# Business onboarding

## Endpoints

### POST /businesses/{fp_bid}/kyb
**Create a headless KYB onboarding session**

For a business whose information has already been collected, runs the verification checks of the provided playbook. This will contact the business verification and identity verification vendors configured on your playbook and issue a decision using the rules defined on your playbook.
  
The decision issued by the rules configured on your playbook will be returned inline. In rare cases where we are waiting on an asynchronous result from vendors, you will receive a status of `pending` from this API and the final decision will be delivered via webhook.
  
Note, this API does not support KYCing beneficial owners, so the playbook you provide must not collect or verify beneficial owners. If you would like to also verify the identifies of the beneficial owners, you can separately use the POST /users/{fp_id}/kyc API to run existing users through a KYC playbook.


### GET /businesses/{fp_bid}/decisions
**List all decisions for a business**

Returns list of decisions made for this business in timestamp descending order. Includes both automated decisions made by running rules on a playbook and manual decisions made via dashboard businesss.

### GET /businesses/{fp_bid}/onboardings
**List all onboardings for a business**

Get the list of playbooks this business has onboarded onto, ordered by timestamp descending. If a business has onboarded onto one playbook multiple times, there will be multiple onboardings. Useful to find the status from onboarding onto a specific playbook.

### GET /businesses/{fp_bid}/risk_signals
**List all risk signals for a business**

This endpoint is deprecated, but will continue to be supported for current users. Please use the /businesses/{fp_bid}/onboardings/{onboarding_id}/risk_signals endpoint instead.

### GET /businesses/{fp_bid}/onboardings/{onboarding_id}/risk_signals
**List all risk signals for a business and onboarding**

List the risk signals for a Footprint business and onboarding

### GET /businesses/{fp_bid}/onboardings/{onboarding_id}/details
**Retrieve detailed insights for a business onboarding**

Retrieve business insights including names, registrations, filings, and watchlist hits

### POST /businesses/{fp_bid}/owners
**Link a business owner**

Link an existing `fp_id` to the provided business as a beneficial owner. Note, linking business beneficial owners via API is mutually exclusive with collecting beneficial owners using our interactive KYB onboarding product. You may either link existing vaults via API _or_ request the user to provide information on all beneficial owners during onboarding to a KYB playbook.

### GET /businesses/{fp_bid}/owners
**List all owners of a business**

List all beneficial owners of a business. Beneficial owners can be provided either by the user during interactive onboarding to a KYB playbook or via the POST /businesses/{fp_bid}/owners API.

### GET /businesses/{fp_bid}/documents
**List the documents for a business**

View the documents uploaded successfully by this business, optionally for a given `onboarding_id`.

### GET /businesses/{fp_bid}/onboardings/{id}
**Get an onboarding for a business**

Get the latest information about an onboarding for a specific business. Supports fetching by business external id and onboarding external id

# Business onboarding

After businesses have been created, these APIs allow you to interact with the business verification results and trigger new business verification sessions.

Note, businesses created through the interactive business onboarding product will always be associated with an `fp_id` that created the business as the business's owner. Businesses created via API may optionally have their owners linked using the POST /businesses/{fp_bid}/owners API below.